# QRadioButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractButton.

### Constructor

- void QRadioButton(QWidget parent)
- void QRadioButton(String text, QWidget parent)

### Constructor Properties

- prototype: The QRadioButton prototype object

### Prototype Object Properties

The QRadioButton prototype object inherits properties from the QAbstractButton prototype object and also has the following properties.

- QSize minimumSizeHint()
- QSize sizeHint()

### Instance Properties

QRadioButton objects have no special properties beyond those inherited from the QRadioButton prototype object.